net.sourceforge.pmd.lang.java.rule

## Class XPathRuleTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.RuleTst
  - - net.sourceforge.pmd.lang.java.rule.XPathRuleTest

    public class XPathRuleTest
    extends RuleTst

Author:
  daniels

### Field Summary

### Fields inherited from class net.sourceforge.pmd.testframework.RuleTst

`DEFAULT_LANGUAGE, DEFAULT_LANGUAGE_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`XPathRuleTest()`

### Method Summary

Methods
`void` `setUp()`
`static junit.framework.Test` `suite()`
`void` `testPluginname()`
`void` `testVariables()`

### Methods inherited from class net.sourceforge.pmd.testframework.RuleTst

`extractTestsFromXml, extractTestsFromXml, extractTestsFromXml, findRule, getCleanRuleName, runTest, runTestFromString, runTestFromString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XPathRuleTest

    public XPathRuleTest()

### Method Detail

#### setUp

    public void setUp()

#### testPluginname

    public void testPluginname()
                        throws Throwable

Throws:
  `Throwable`

#### testVariables

    public void testVariables()
                       throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()